#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	mechanicalsoup
Summary:	A Python library for automating interaction with websites
Name:		python-%{module}
Version:	0.4.0
Release:	5
License:	MIT
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/source/M/MechanicalSoup/MechanicalSoup-%{version}.zip
# Source0-md5:	f6eb7d7fc69fb6ce434b64a3a92c7e48
URL:		https://github.com/hickford/MechanicalSoup
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	rpm-pythonprov
%if %{with python2}
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-setuptools
%endif
Requires:	python-bs4
Requires:	python-requests
Requires:	python-six
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Python library for automating interaction with websites.
MechanicalSoup automatically stores and sends cookies, follows
redirects, and can follow links and submit forms. It doesn't do
Javascript.

%package -n python3-%{module}
Summary:	A Python library for automating interaction with websites
Group:		Libraries/Python
Requires:	python3-bs4
Requires:	python3-requests
Requires:	python3-six

%description -n python3-%{module}
A Python library for automating interaction with websites.
MechanicalSoup automatically stores and sends cookies, follows
redirects, and can follow links and submit forms. It doesn't do
Javascript.

%prep
%setup -q -n MechanicalSoup-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/mechanicalsoup
%{py_sitescriptdir}/MechanicalSoup-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%{py3_sitescriptdir}/mechanicalsoup
%{py3_sitescriptdir}/MechanicalSoup-%{version}-py*.egg-info
%endif
%changelog
* Mon Oct 28 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-mechanicalsoup.git;a=log;h=auto/th/python-mechanicalsoup-0.4.0-5

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> bcedcb1
- rebuild with python 3.8
- release 5 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1dc6c33
- release 4 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 71b266c
- python 3.6
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 1f9b9e0
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 38cca00
- release 2 (by relup.sh)

* Thu Nov 26 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 608a291
- Use py_build/py_install

* Wed Nov 25 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 63fa594
- Version: 0.4.0

* Tue Nov 24 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 0b3864a
- new package

